Devices incompatible with Google Nest Wifi or Google Wifi

Although most devices that use Wi-Fi are compatible with Google Nest Wifi and Google Wifi, there are a few that aren’t. Usually, this is because they lack the latest hardware or software supported by Google Nest Wifi or Google Wifi.

WPA and WEP devices

Google Nest Wifi and Google Wifi only support devices with WPA2 + PSK or WPA3 + PSK, which are the most popular methods of securing your network. Older devices that only have WPA or WEP encryption (like old printers) will not be able to connect to Google Nest Wifi or Google Wifi devices.

We do not support older protocols because they can be unsecure, as noted by security research community and industry experts. Google Nest Wifi and Google Wifi keep you safe, and WPA2 or WPA3 are one of the many ways we ensure that.

Try to find a new driver for your older Wi-Fi device. If the Wi-Fi driver cannot be upgraded, the hardware on the device might need to be replaced with a newer version that supports the newer, secure protocols. 

Related article

Learn more about Google Nest Wifi and Google Wifi bands

Was this helpful?
How can we improve it?